<div class="flex flex-col flex-auto sm:justify-center min-w-0" style="background-color: #F8F8F8;">

    <div class="container mx-auto flex items-top justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()">
            <mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left
            </mat-icon>
            <span class="mt-6 mb-6 font-Semibold-20"
                style="color: #0038FF;">Back
            </span></div>

        <div class="flex items-center  w-auto">
            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

        </div>
        <!-- <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
            style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
            style="color: #0038FF;">Back</span></div> -->
        <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #000000;">help_outline</mat-icon></div>
    </div>

    <div class="font-Semibold-40 font-141461 mt-7 mb-7" style="text-align:center !important;">
        <div>Bank Information</div>
    </div>


    <div class="flex flex-col items-center sm:justify-center min-w-0">
        <!-- Main -->

        <div class="w-full mx-auto mb-10 shadow bg-white" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
        ">

            <div class="w-full sm:mx-0">
                <!-- CONTENT GOES HERE -->
                <form action="" class="md:container md:mx-auto px-3" [formGroup]="AuthRegisterForm">

                    <div class="flex flex-col mx-20 my-3">
                        <div class="mt-2 font-medium text-2xl leading-none">
                            <div class="form-group">
                                <div>
                                    <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1 mt-11">
                                        <mat-select formControlName="bankCode" placeholder="Select Bank">
                                            <mat-option *ngFor="let item of dropdownData" [value]="item.bicCode">{{
                                                item.name
                                                }}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field class="w-full" appearance="outline">
                                        <mat-label>Account Number</mat-label>
                                        <input matInput formControlName="bankNum" [(ngModel)]="bankNum"
                                            (ngModelChange)="bankNum = bankNum.trim()" placeholder="Account Number"
                                            pattern="[0-9]*" inputmode="numeric">
                                    </mat-form-field>
                                </div>
                                <div class="inline-flex items-end w-full mt-1.5 justify-center">
                                    <mat-checkbox class="-ml-2" [color]="'primary'" [formControlName]="'agreements'">
                                        <span>I hereby confirm that I have read and understood and agree to the</span>

                                        <a class="ml-1 text-primary-500 underline font-semibold" [routerLink]="['/termcondition']">General Terms and Conditions</a>

                                        <span> (GTCs) and </span>

                                        <a class="ml-1 text-primary-500 underline font-semibold" [routerLink]="['./']">Platform Rules</a>

                                        <span>. By Submitting this application, I also agree to Bursa Malaysia Digital Sdn Bhd collecting, using and disclosing my personal information in accordance with the GTCs and Platform Rules and acknowledge the </span>

                                        <a class="ml-1 text-primary-500 underline font-semibold" [routerLink]="['/privacynotice']">Personal Data Notice</a>

                                        <span>.</span>
                                    </mat-checkbox>
                                </div>
                                <div class="text-center mt-4">
                                    <div *ngIf="AuthRegisterForm.get('agreements').invalid && AuthRegisterForm.get('agreements').touched">
                                      <p class="text-sm text-red-300 error mt-2" style="opacity: 1;">Please tick this box if you want to proceed</p>
                                    </div>
                                  </div>                                  
                                  
                                <!--                                 <div>
                                    <mat-form-field class="w-full" appearance="outline">
                                        <mat-label>Address line 2</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Address line 2" value="">
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field style="width: 46.5%;" class="mr-5" appearance="outline">
                                        <mat-label>Province/State</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Province/State" value="">
                                    </mat-form-field>
                                    <mat-form-field style="width: 46.5%;" appearance="outline">
                                        <mat-label>Postcode</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Postcode" value="">
                                    </mat-form-field>
                                </div>

                                <div>
                                    <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                        <mat-select formControlName="nationality" placeholder="Country">
                                            <mat-option *ngFor="let item of dropdownData2" [value]="item.name">{{
                                                item.name
                                                }}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div> -->

                                <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type"
                                    [@shake]="alert.type === 'error'" class="justify-center">
                                    {{alert.message}}
                                </fuse-alert>

                                <div class="relative flex flex-col flex-auto items-center  pb-12 w-auto mt-4">
                                    <button class="fuse-mat-button-large button-r5-disable w-full" [color]="'primary'"
                                        mat-flat-button (click)="submitDetails()" [disabled]="AuthRegisterForm.invalid">
                                        <span class="font-Semibold-14">Continue</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>


                </form>

            </div>

        </div>
    </div>
</div>